#!/bin/bash

NOW=$(date +"%d/%m/%Y %H:%M")

echo ""
echo "============================================================================================================================================"
echo == SYNCHRONISATION DU $NOW =====================================================================================================
echo "============================================================================================================================================"

key="changeme"

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
	cd /var/www/html/posh-profil/synchro

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	echo ""
	echo "== SYNCHRONISATION POSH ===================================================================================================================="
	php posh-synchro.php -- $key
	%end if

	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	echo ""
	echo "== SYNCHRONISATION WORDPRESS ==============================================================================================================="
	php wordpress-synchro.php -- $key
	%end if

	%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
	echo ""
	echo "== SYNCHRONISATION CDT ====================================================================================================================="
	php cdt-synchro.php -- $key
	%end if


	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
	echo ""
	echo "== SYNCHRONISATION ICONITO ================================================================================================================="
	php iconito-synchro.php -- $key
	%end if


	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
	echo ""
	echo "== SYNCHRONISATION BALADO =================================================================================================================="
	php balado-synchro.php -- $key
	%end if


	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
	echo ""
	echo "== SYNCHRONISATION MOODLE =================================================================================================================="
	php moodle-synchro.php -- $key
	%end if


	%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
	echo ""
	echo "== SYNCHRONISATION OWNCLOUD ================================================================================================================"
	php owncloud-synchro.php -- $key
	%end if


	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
	echo ""
	echo "== SYNCHRONISATION LIMESURVEY ============================================================================================================="
	php limesurvey-synchro.php -- $key
	%end if


	%if %%is_defined('activer_piwigo') and %%activer_piwigo == 'oui'
	echo ""
	echo "== SYNCHRONISATION PIWIGO ================================================================================================================="
	php piwigo-synchro.php -- $key
	%end if


	%if %%is_defined('activer_nextcloud') and %%activer_nextcloud == 'oui'
	echo ""
	echo "== SYNCHRONISATION NEXTCLOUD =============================================================================================================="
	php nextcloud-synchro.php -- $key
	%end if

	%if %%is_defined('activer_eportail') and %%activer_eportail == 'oui'
	cd /var/www/html/eportail/view/admin
	echo ""
	echo "== SYNCHRONISATION EPORTAIL================================================================================================================="
	php eportail-synchro.php -- $key	
	%end if
%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'
	cd /var/www/html/posh-profil/pia

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	echo ""
	echo "== SYNCHRONISATION POSH ===================================================================================================================="
	php posh-synchro.php -- $key
	%end if

	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	echo ""
	echo "== SYNCHRONISATION WORDPRESS ==============================================================================================================="
	php wordpress-synchro.php -- $key
	%end if

	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
	echo ""
	echo "== SYNCHRONISATION FENGOFFICE =============================================================================================================="
	php fengoffice-synchro.php -- $key
	%end if

	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
	echo ""
	echo "== SYNCHRONISATION MOODLE =================================================================================================================="
	php moodle-synchro.php -- $key
	%end if

	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
	echo ""
	echo "== SYNCHRONISATION LIMESURVEY==============================================================================================================="
	php limesurvey-synchro.php -- $key
	%end if	

	%if %%is_defined('activer_piwik') and %%activer_piwik == 'oui'
	echo ""
	echo "== SYNCHRONISATION PIWIK===================================================================================================================="
	php piwik-synchro.php -- $key
	%end if	    

%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ProfilCache'
	cd /var/www/html/posh-profil/profilcache

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	echo ""
	echo "== SYNCHRONISATION POSH ===================================================================================================================="
	php posh-synchro.php -- $key
	%end if
%end if
